sensorfw: MagneticField Class Reference

sensorfw

Public Member Functions | Friends | List of all members
MagneticField Class Reference

QObject facade for CalibratedMagneticFieldData. More...

`#include <magneticfield.h>`

Inheritance diagram for MagneticField:

## Public Member Functions
| MagneticField ()
| Default constructor.
| MagneticField (const CalibratedMagneticFieldData &calibratedData)
| Constructor.
| MagneticField (const MagneticField &data)
| Copy constructor.
const CalibratedMagneticFieldData & | data () const
| Accessor for contained CalibratedMagneticFieldData.
MagneticField & | operator= (const MagneticField &origin)
| Assignment operator.
bool | operator== (const MagneticField &right) const
| Comparison operator.
int | x () const
| Returns the value for X.
int | y () const
| Returns the value for Y.
int | z () const
| Returns the value for Z.
int | rx () const
| Returns the raw value for X.
int | ry () const
| Returns the raw value for Y.
int | rz () const
| Returns the raw value for Z.
int | level () const
| Returns the magnetometer calibration level.
const quint64 & | timestamp () const
| Returns the timestamp of sample as monotonic time (microsec).

## Friends
const QDBusArgument & | operator>> (const QDBusArgument &argument, MagneticField &data)
| Unmarshall MagneticField data from the D-Bus argument.

## Detailed Description

QObject facade for CalibratedMagneticFieldData.

Definition at line 37 of file magneticfield.h.

## Constructor & Destructor Documentation

## ◆ MagneticField() [1/3]

MagneticField::MagneticField | ( |  | ) |
| inline

Default constructor.

Definition at line 47 of file magneticfield.h.

## ◆ MagneticField() [2/3]

MagneticField::MagneticField | ( | const CalibratedMagneticFieldData & | calibratedData | ) |
| inline

Constructor.

Parameters

  calibratedData | Source object.

Definition at line 54 of file magneticfield.h.

## ◆ MagneticField() [3/3]

MagneticField::MagneticField | ( | const MagneticField & | data | ) |
| inline

Copy constructor.

Parameters

  data | Source object.

Definition at line 70 of file magneticfield.h.

## Member Function Documentation

## ◆ data()

const CalibratedMagneticFieldData & MagneticField::data | ( |  | ) | const
| inline

Accessor for contained CalibratedMagneticFieldData.

Returns
  contained CalibratedMagneticFieldData.

Definition at line 86 of file magneticfield.h.

## ◆ level()

int MagneticField::level | ( |  | ) | const
| inline

Returns the magnetometer calibration level.

Returns
  level of magnetometer calibration.

Definition at line 166 of file magneticfield.h.

## ◆ operator=()

MagneticField & MagneticField::operator= | ( | const MagneticField & | origin | ) |
| inline

Assignment operator.

Parameters

  origin | Source object for assigment.

Definition at line 93 of file magneticfield.h.

## ◆ operator==()

bool MagneticField::operator== | ( | const MagneticField & | right | ) | const
| inline

Comparison operator.

Parameters

  right | Object to compare to.

Returns
  comparison result.

Definition at line 113 of file magneticfield.h.

## ◆ rx()

int MagneticField::rx | ( |  | ) | const
| inline

Returns the raw value for X.

Returns
  raw x value.

Definition at line 148 of file magneticfield.h.

## ◆ ry()

int MagneticField::ry | ( |  | ) | const
| inline

Returns the raw value for Y.

Returns
  raw y value.

Definition at line 154 of file magneticfield.h.

## ◆ rz()

int MagneticField::rz | ( |  | ) | const
| inline

Returns the raw value for Z.

Returns
  raw z value.

Definition at line 160 of file magneticfield.h.

## ◆ timestamp()

const quint64 & MagneticField::timestamp | ( |  | ) | const
| inline

Returns the timestamp of sample as monotonic time (microsec).

Returns
  timestamp value.

Definition at line 172 of file magneticfield.h.

## ◆ x()

int MagneticField::x | ( |  | ) | const
| inline

Returns the value for X.

Returns
  x value.

Definition at line 130 of file magneticfield.h.

## ◆ y()

int MagneticField::y | ( |  | ) | const
| inline

Returns the value for Y.

Returns
  y value.

Definition at line 136 of file magneticfield.h.

## ◆ z()

int MagneticField::z | ( |  | ) | const
| inline

Returns the value for Z.

Returns
  z value.

Definition at line 142 of file magneticfield.h.

## Friends And Related Symbol Documentation

## ◆ operator>>

const QDBusArgument & operator>> | ( | const QDBusArgument & | argument,
|  | MagneticField & | data )
| friend

Unmarshall MagneticField data from the D-Bus argument.

Parameters

  argument | dbus argument.
  data | unmarshalled data.

Returns
  dbus argument.

Definition at line 206 of file magneticfield.h.

The documentation for this class was generated from the following file:

- datatypes/magneticfield.h